From: Arto Jantunen <viiru@debian.org>
Date: Mon, 11 Sep 2023 08:31:52 +0300
Subject: Stop forcing use of mysqlconnector

This library isn't security-supportable and cannot be included in testing,
see bug #923347. Sqlalchemy supports a long list of alternatives so use
another one instead.
---
 tests/conftest.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/conftest.py b/tests/conftest.py
index 022e786..1370fb6 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -13,7 +13,7 @@ def engine(request: FixtureRequest) -> Engine:
     if dialect == "postgresql":
         return create_engine("postgresql:///testdb")
     elif dialect == "mysql":
-        return create_engine("mysql+mysqlconnector://testdb")
+        return create_engine("mysql://testdb")
     else:
         return create_engine("sqlite:///:memory:")
 
